<?php get_header(); ?>
	<div id="content">

	<?php if (have_posts()) : ?>
	
		<div class="archive-desc"><?php printf(__('Search results for %s', 'f2'), '<strong>'.$_GET['s'].'</strong>'); ?></div>

		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<h2 class="posttitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'f2'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h2>
				<div class="postmetadata">
				<?php if(f2_option('show_author') == 'on') : ?>
				<?php _e('Posted by', 'f2'); ?><span class="postauthor"><?php the_author_posts_link(); ?></span> <?php _e('on', 'f2'); ?>
				<?php endif; ?>
				<span class="postdate"><?php the_time(__('j F Y, g:i a', 'f2')); ?></span>
				</div>
				
				<div class="postentry">
					<?php the_excerpt(); ?>
				</div>
		
				<div class="postmetadata">
					<div class="posttagscat">
					<?php if(f2_option('show_cat') == 'on') : ?>
					<span class="postcat"><?php _e('Filed under', 'f2'); ?>&nbsp;<?php the_category(', '); ?>.</span>
					<?php endif; ?>
					<?php if( function_exists('the_tags') ) 
						the_tags('<span class="posttags">'.__('Tagged', 'f2').'&nbsp;', ', ', '</span>'); 
					?>
					</div>

					<span class="postcomment">
					<?php comments_popup_link(__('Comment', 'f2'), __('1 Comment', 'f2'), __('% Comments', 'f2')); ?>
					</span>
					<?php edit_post_link(__('Edit', 'f2'), '<span class="postedit">', '</span>'); ?>
					
				 </div>
			</div>
			
		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Previous Entries', 'f2')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Next Entries &raquo;', 'f2')) ?></div>
		</div>

	<?php else : ?>
		<div class="post">
			<h2 class="posttitle"><?php _e('Not Found', 'f2') ?></h2>
			<div class="postentry"><p><?php _e('Sorry, no posts matched your criteria.', 'f2'); ?></p></div>
		</div>
	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>
